org.apache.geode.cache.execute

## Class EmptyRegionFunctionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.geode.GemFireException
        - - org.apache.geode.cache.execute.FunctionException
          - - org.apache.geode.cache.execute.EmptyRegionFunctionException

- All Implemented Interfaces:
    java.io.Serializable

      public class EmptyRegionFunctionException
      extends FunctionException

  Exception to indicate that Region is empty for data aware functions.
  Since:
    GemFire 6.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyRegionFunctionException(java.lang.String msg)` Construct an instance of EmtpyRegionFunctionException
    `EmptyRegionFunctionException(java.lang.String msg, java.lang.Throwable cause)` Construct an instance of EmtpyRegionFunctionException
    `EmptyRegionFunctionException(java.lang.Throwable cause)` Construct an instance of EmtpyRegionFunctionException

  - ### Method Summary

    - ### Methods inherited from class org.apache.geode.cache.execute.FunctionException

      `addException, addExceptions, getExceptions`

    - ### Methods inherited from class org.apache.geode.GemFireException

      `getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyRegionFunctionException

          public EmptyRegionFunctionException(java.lang.Throwable cause)

      Construct an instance of EmtpyRegionFunctionException
      Parameters:
        `cause` - a Throwable cause of this exception

    - #### EmptyRegionFunctionException

          public EmptyRegionFunctionException(java.lang.String msg)

      Construct an instance of EmtpyRegionFunctionException
      Parameters:
        `msg` - Exception message

    - #### EmptyRegionFunctionException

          public EmptyRegionFunctionException(java.lang.String msg,
                                              java.lang.Throwable cause)

      Construct an instance of EmtpyRegionFunctionException
      Parameters:
        `msg` - the error message
        `cause` - a Throwable cause of this exception